Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
mcp_toolsets
/
{access_profile_id}
/
tool_bindings
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.mcpAccessProfileToolBinding.list({
    appId: "<id>",
    connectorId: "<id>",
    accessProfileId: "<id>",
  });

  console.log(result);
}

run();
{
  "bindings": [
    {
      "accessProfileId": "<string>",
      "appId": "<string>",
      "connectorId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "mcpToolId": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

connector_id
string
required

Connector identifier.

access_profile_id
string
required

Access profile identifier.

Query Parameters

page_size
integer<int32>

Page size (max 100).

page_token
string

Page token for pagination.

Response

200 - application/json

MCPAccessProfileToolBindingServiceListResponse returns tool bindings.

MCPAccessProfileToolBindingServiceListResponse returns tool bindings.

bindings
Mcp Access Profile Tool Binding · object[] | null

List of tool bindings.

nextPageToken
string | null

Token for next page.